{ pkgs }:
let
  kakboard = pkgs.stdenvNoCC.mkDerivation {
    name = "kakoune-kakboard";
    src = pkgs.fetchFromGitHub {
      owner = "lePerdu";
      repo = "kakboard";
      rev = "2f13f5cd99591b76ad5cba230815b80138825120";
      sha256 = "1kvnbsv20y09rlnyar87qr0h26i16qsq801krswvxcwhid7ijlvd";
    };
    installPhase = ''
      mkdir -p $out/share/kak/autoload/plugins
      cp kakboard.kak $out/share/kak/autoload/plugins/kakboard.kak
    '';
  };
  smarttab = pkgs.stdenvNoCC.mkDerivation {
    name = "kakoune-smarttab";
    src = pkgs.fetchFromGitHub {
      owner = "andreyorst";
      repo = "smarttab.kak";
      rev = "e7fe8efd0b91ab8dc1c99c131f138de9b38fd965";
      sha256 = "0x93mmxv9qi7vxsyqdhg4x5bvsl8sss9m2mq2qks6ghr5h9pmigk";
    };
    installPhase = ''
      mkdir -p $out/share/kak/autoload/plugins
      cp -r rc $out/share/kak/autoload/plugins/smarttab
    '';
  };
  joule = pkgs.stdenvNoCC.mkDerivation {
    name = "kakoune-joule";
    src = pkgs.fetchFromGitHub {
      owner = "arqv";
      repo = "joule";
      rev = "88477d2ca675c99fc4845e66f153c4fcfd5a82da";
      sha256 = "0y8pdgfg9h1gjixs4nzlmas030wbpj7jzrnl5l7fmrvinh4bzm7g";
    };
    installPhase = ''
      mkdir -p $out/share/kak/autoload
      cp colors/joule.kak $out/share/kak/autoload
    '';
  };
in {
  kakboard = kakboard;
  joule = joule;
  smarttab = smarttab;
}
